> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscriptions created by FID

> Fetch created subscriptions for a given FID's.

<Info>
  ### Related tutorial: [Find User Subscriptions with Neynar Hypersub](/docs/common-subscriptions-fabric)
</Info>

## Node.js SDK

🔗 **SDK Method:** [fetchSubscriptionsForFid](/nodejs-sdk/subscriber-apis/fetchSubscriptionsForFid)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml get /v2/farcaster/user/subscriptions_created/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/user/subscriptions_created/:
    get:
      tags:
        - Subscribers
      summary: Subscriptions created by FID
      description: Fetch created subscriptions for a given FID's.
      operationId: fetch-subscriptions-for-fid
      parameters:
        - description: The unique identifier of a farcaster user or app (unsigned integer)
          in: query
          name: fid
          required: true
          schema:
            example: 3
            format: int32
            minimum: 0
            title: Fid
            type: integer
        - description: The provider of the subscription.
          in: query
          name: subscription_provider
          required: true
          schema:
            enum:
              - fabric_stp
            title: SubscriptionProvider
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionsResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
      externalDocs:
        url: https://docs.neynar.com/reference/fetch-subscriptions-for-fid
components:
  schemas:
    SubscriptionsResponse:
      properties:
        subscriptions_created:
          items:
            $ref: '#/components/schemas/Subscriptions'
          type: array
      title: SubscriptionsResponse
      type: object
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
    Subscriptions:
      properties:
        subscriptions_created:
          items:
            $ref: '#/components/schemas/Subscription'
          type: array
      required:
        - subscriptions_created
      title: Subscriptions
      type: object
    Subscription:
      properties:
        chain:
          example: 8453
          type: integer
        contract_address:
          example: '0xff63fc310d47ef80961056ac8df0b3f1a9e3ef58'
          type: string
        metadata:
          properties:
            art_url:
              example: >-
                https://storage.withfabric.xyz/loom/403fdc10-95f3-4b25-9d77-5aac7ccb9fd1.jpg
              type: string
            symbol:
              example: MMS
              type: string
            title:
              example: /memes channel sub
              type: string
          required:
            - title
            - symbol
            - art_url
          type: object
        object:
          enum:
            - subscription
          type: string
        owner_address:
          example: '0xb6f6dce6000ca88cc936b450cedb16a5c15f157f'
          type: string
        price:
          properties:
            initial_mint_price:
              example: '0'
              type: string
            period_duration_seconds:
              example: 2592000
              type: integer
            tokens_per_period:
              example: '350574998400000'
              type: string
          required:
            - period_duration_seconds
            - tokens_per_period
            - initial_mint_price
          type: object
        protocol_version:
          example: 1
          type: integer
        provider_name:
          example: fabric_stp
          type: string
        tiers:
          items:
            $ref: '#/components/schemas/SubscriptionTier'
          type: array
        token:
          properties:
            address:
              example: null
              nullable: true
              type: string
            decimals:
              example: 18
              type: integer
            erc20:
              example: false
              type: boolean
            symbol:
              example: ETH
              type: string
          required:
            - symbol
            - address
            - decimals
            - erc20
          type: object
      required:
        - object
        - contract_address
        - chain
        - metadata
        - owner_address
        - price
        - protocol_version
        - token
      title: Subscription
      type: object
    SubscriptionTier:
      properties:
        id:
          example: 1
          type: integer
        price:
          properties:
            initial_mint_price:
              example: '0'
              type: string
            period_duration_seconds:
              example: 2592000
              type: integer
            tokens_per_period:
              example: '3000000000000000'
              type: string
          type: object
      title: SubscriptionTier
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````